<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  #Получаем ИД пользователя
  $userid = ( int ) $_GET['id'];
  $edit_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1" ) );
  
  if ( $edit_user['blockpay'] == 1 ) {
	$edit_use_с1 = 'checked="checked"';
	$edit_use_text1 = '<span id="check_text1">Да</span>';
  } else {
	$edit_use_с1 = '';
	$edit_use_text1 = '<span id="check_text1">Нет</span>';
  }
  
  if ( $edit_user['blockuser'] == 1 ) {
	$edit_use_с2 = 'checked="checked"';
	$edit_use_text2 = '<span id="check_text2">Да</span>';
  } else {
	$edit_use_с2 = '';
	$edit_use_text2 = '<span id="check_text2">Нет</span>';
  }
  
  if ( $edit_user['forumblock'] == 1 ) {
	$edit_use_с3 = 'checked="checked"';
	$edit_use_text3 = '<span id="check_text3">Да</span>';
  } else {
	$edit_use_с3 = '';
	$edit_use_text3 = '<span id="check_text3">Нет</span>';
  }
  
  if ( $edit_user['admmessblock'] == 1 ) {
	$edit_use_с4 = 'checked="checked"';
	$edit_use_text4 = '<span id="check_text4">Да</span>';
  } else {
	$edit_use_с4 = '';
	$edit_use_text4 = '<span id="check_text4">Нет</span>';
  }
  
  if ( $edit_user['userdel'] == 1 ) {
	$edit_use_с5 = 'checked="checked"';
	$edit_use_text5 = '<span id="check_text5">Да</span>';
  } else {
	$edit_use_с5 = '';
	$edit_use_text5 = '<span id="check_text5">Нет</span>';
  }
  
  if ( $edit_user['activate'] == 1 ) {
	$edit_use_с6 = 'checked="checked"';
	$edit_use_text6 = '<span id="check_text6">Да</span>';
  } else {
	$edit_use_с6 = '';
	$edit_use_text6 = '<span id="check_text6">Нет</span>';
  }
  
  if ( $edit_user['chatblock'] == 1 ) {
	$edit_use_с7 = 'checked="checked"';
	$edit_use_text7 = '<span id="check_text7">Да</span>';
  } else {
	$edit_use_с7 = '';
	$edit_use_text7 = '<span id="check_text7">Нет</span>';
  }
  ?>
    <script type="text/javascript">
      var chbox1;
      var chbox2;
      var chbox3;
      var chbox4;
      var chbox5;
      var chbox6;
	  
	  function check_text7() {
        if ( $('#check_text7').html() == 'Нет' ) {
		  $('#check_text7').html('Да');
		} else {
		  $('#check_text7').html('Нет');
		}
      }
	  
	  function check_text6() {
        if ( $('#check_text6').html() == 'Нет' ) {
		  $('#check_text6').html('Да');
		} else {
		  $('#check_text6').html('Нет');
		}
      }
	  
	  function check_text5() {
        if ( $('#check_text5').html() == 'Нет' ) {
		  $('#check_text5').html('Да');
		} else {
		  $('#check_text5').html('Нет');
		}
      }
	  
	  function check_text4() {
        if ( $('#check_text4').html() == 'Нет' ) {
		  $('#check_text4').html('Да');
		} else {
		  $('#check_text4').html('Нет');
		}
      }
	  
	  function check_text3() {
        if ( $('#check_text3').html() == 'Нет' ) {
		  $('#check_text3').html('Да');
		} else {
		  $('#check_text3').html('Нет');
		}
      }
	  
	  function check_text2() {
        if ( $('#check_text2').html() == 'Нет' ) {
		  $('#check_text2').html('Да');
		} else {
		  $('#check_text2').html('Нет');
		}
      }
	  
	  function check_text1() {
        if ( $('#check_text1').html() == 'Нет' ) {
		  $('#check_text1').html('Да');
		} else {
		  $('#check_text1').html('Нет');
		}
      }
	  
	  function config_1() {
		if ( $('#check_text1').html() == 'Да' ) {
		  chbox1 = 'on';
		} else {
		  chbox1 = '';
		}
		
		if ( $('#check_text2').html() == 'Да' ) {
		  chbox2 = 'on';
		} else {
		  chbox2 = '';
		}
		
		if ( $('#check_text3').html() == 'Да' ) {
		  chbox3 = 'on';
		} else {
		  chbox3 = '';
		}
		
		if ( $('#check_text4').html() == 'Да' ) {
		  chbox4 = 'on';
		} else {
		  chbox4 = '';
		}
		
		if ( $('#check_text5').html() == 'Да' ) {
		  chbox5 = 'on';
		} else {
		  chbox5 = '';
		} 
		
		if ( $('#check_text6').html() == 'Да' ) {
		  chbox6 = 'on';
		} else {
		  chbox6 = '';
		} 
		
		if ( $('#check_text7').html() == 'Да' ) {
		  chbox7 = 'on';
		} else {
		  chbox7 = '';
		}  
		  
        $.ajax ({
            url: 'ajax_update.php?func=edituser_1',
            type: 'POST',
            data: ({email: $('#email').val(), mobile: $('#mobile').val(), referer: $('#referer').val(), referer2: $('#referer2').val(), greetingRef: $('#text').val(), blockpay: chbox1, blockuser: chbox2, forumblock: chbox3, admmessblock: chbox4, userdel: chbox5, activate: chbox6, chatblock: chbox7, acount: $('#acount').val(), iduser: <?=$edit_user['id']?> }),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                $('#block_title_error').fadeIn(0);
                $('#success_ajax').fadeIn(500);
                setTimeout(function() {
                    $('#success_ajax').fadeOut(500);
					$('#block_title_error').fadeOut(0);
					location.reload();
                }, 4000);
              } else {
				$('#block_title_error').fadeIn(0);
				$('#error_ajax').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_ajax').fadeOut(500).html('&nbsp;');
					$('#block_title_error').fadeOut(0);
                }, 4000);
			  }
            }
        });
      }
	  
	  function qbb(a, b, c) {
	    textarea = document.getElementById(c);
	    if (document.selection && document.selection.createRange) textarea.focus(), sel = document.selection.createRange(), sel.text = a + sel.text + b;
	    else if (textarea.selectionStart || "0" == textarea.selectionStart) {
		  c = textarea.selectionStart;
		  var d = textarea.selectionEnd;
		  textarea.value = textarea.value.substring(0, c) + a + textarea.value.substring(c, d) + b + textarea.value.substring(d, textarea.value.length);
		  textarea.selectionStart = textarea.selectionEnd = d + a.length + b.length
	    } else textarea.value += a + b;
	    textarea.focus()
	  };
	  
      function config_2() {
        $.ajax ({
            url: 'ajax_update.php?func=edituser_2',
            type: 'POST',
            data: ({wmid: $('#wmid').val(), purse: $('#purse').val(), payeer: $('#payeer').val(), advcash: $('#advcash').val(), money: $('#money').val(), adv_money: $('#adv_money').val(), savingscards: $('#savingscards').val(), reyting: $('#reyting').val(), iduser: <?=$edit_user['id']?>}),
		    dataType: 'html',
            success: function(data) {
              if(data == 1) {
                $('#block_title_error_2').fadeIn(0);
                $('#success_ajax_2').fadeIn(500);
                setTimeout(function() {
                    $('#success_ajax_2').fadeOut(500);
					$('#block_title_error_2').fadeOut(0);
					location.reload();
                }, 4000);
              } else {
				$('#block_title_error_2').fadeIn(0);
				$('#error_ajax_2').fadeIn(500).html(data);
                setTimeout(function() {
                    $('#error_ajax_2').fadeOut(500).html('&nbsp;');
					$('#block_title_error_2').fadeOut(0);
                }, 4000);
			  }
            }
        });
      }
    </script>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Редактирования пользователя - <?=$edit_user['username']?> [ID:<?=$edit_user['id']?>]</h2>

			<div class="row">
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Основные данные пользователя</div>
				  <div class="panel-body">
					<form method="get" class="form-horizontal">
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Email</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="email" value="<?=$edit_user['email']?>">
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Телефон</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="mobile" value="<?=$edit_user['mobile']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-one">Реферер</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="referer" value="<?=$edit_user['referer']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">Реферер 2level</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="referer2" value="<?=$edit_user['referer2']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group">
						<label class="col-sm-2 control-label label-size-fix">Системный статус</label>
						<div class="col-sm-10">
						  <select class="selectpicker" id="acount">
							<optgroup label="Выберите статус в системе прав:">
							  <option value="0" <?if( $edit_user['account'] == 0 ) echo 'selected'?>>Пользователь</option>
							  <option value="2" <?if( $edit_user['account'] == 2 ) echo 'selected'?>>Модератор</option>
							  <option value="5" <?if( $edit_user['account'] == 5 ) echo 'selected'?>>Администратор</option>
							</optgroup>
						  </select>
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">Приветствие</label>
						<div class="col-sm-10 input-size-one">
						  <div class="bbcode-panel-forum-post ">
							<span onclick="qbb('[b]','[/b]','text')" id="bb_b" title="Полужирный текст" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
							<span onclick="qbb('[i]','[/i]','text')" id="bb_i" title="Наклонный текст" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
							<span onclick="qbb('[u]','[/u]','text')" id="bb_u" title="Подчеркнутый текст" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
							<span onclick="qbb('[s]','[/s]','text')" id="bb_s" title="Зачеркнутый текст" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
							<span onclick="qbb('[sub]','[/sub]','text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
							<span onclick="qbb('[sup]','[/sup]','text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
							<span onclick="qbb('[quotet]','[/quotet]','text')" class="bb_quotet" id="quotet" title="Цитировать текст"><i class="fa fa-quote-left" aria-hidden="true"></i></span>
							<span onclick="qbb('[video]','[/video]','text')" class="bb_youtube" id="video" title="Вставить видео"><i class="fa fa-youtube-play" aria-hidden="true"></i></span>
							<span onclick="qbb('[images]','[/images]','text')" class="bb_youtube" id="images_forum_post" title="Вставить изображение (поддерживаются форматы jpg/png/bmp/gif)."><i class="fa fa-picture-o" aria-hidden="true"></i></span>
							<span onclick="qbb('[a]','[/a]','text')" class="bb_link" id="link_forum" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
						  </div>
						  <textarea id="text" style="padding-top: 38px; max-width: 632px; min-width: 632px;" class="form-control" rows="10"><?=parce_html_code( $edit_user['greetingRef'] )?></textarea>
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix" >Блокировка выплат</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="blockpay" type="checkbox" onclick="check_text1();" <?=$edit_use_с1?>>
						    <label for="">
							  <?=$edit_use_text1?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Блокировка пользователя</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="blockuser" type="checkbox" onclick="check_text2();" <?=$edit_use_с2?>>
						    <label for="">
							  <?=$edit_use_text2?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Блокировка в чате</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="chatblock" type="checkbox" onclick="check_text7();" <?=$edit_use_с7?>>
						    <label for="">
							  <?=$edit_use_text7?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Блокировка на форуме</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="forumblock" type="checkbox" onclick="check_text3();" <?=$edit_use_с3?>>
						    <label for="">
							  <?=$edit_use_text3?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Блокировка сообщений</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="admmessblock" type="checkbox" onclick="check_text4();" <?=$edit_use_с4?>>
						    <label for="">
							  <?=$edit_use_text4?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Удаление пользователя</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="userdel" type="checkbox" onclick="check_text5();" <?=$edit_use_с5?>>
						    <label for="">
							  <?=$edit_use_text5?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group" >
					    <label class="col-sm-2 control-label label-size-fix">Активация аккаунта</label>
					    <div class="col-sm-10 input-size-one">
						  <div class="checkbox checkbox-primary">
						    <input id="activate" type="checkbox" onclick="check_text6();" <?=$edit_use_с6?>>
						    <label for="">
							  <?=$edit_use_text6?>
						    </label>
					      </div>
					    </div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="alert alert-dismissible alert-warning">
						<button type="button" class="close" data-dismiss="alert"><i class="fa fa-remove"></i></button>
						<h4>Дополнительная информация!</h4>
						<p>Код активации аккаунта пользователя: <b><?=$edit_user['act_code']?></b>, пин-код <?=$edit_user['pincode']?> для изменения пароля от аккаунта пользователя, через форму редактирования (профайл).</p>
					  </div>
					  
					  <div class="form-group error-form-fix" id="block_title_error">
					    <div class="hr-dashed"></div>
						<div class="alert alert-dismissible alert-info" id="success_ajax">
						  Изменения успешно сохранены!
						</div>
						<div class="alert alert-dismissible alert-danger" id="error_ajax">
						  Внимание ошибка!
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group class-float-right">
						<div class="col-sm-8 col-sm-offset-2">
						  <button class="btn btn-primary" type="submit" onclick="config_1();return false;">Сохранить изменения</button>
						</div>
					  </div>
					  
					</form>
				  </div>
				</div>
			  </div>
			  
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Счета пользователя</div>
				  <div class="panel-body">
					<form method="get" class="form-horizontal">
					  
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">Рабочий счет</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="money" value="<?=$edit_user['money']?>">
						  <span class="help-block m-b-none">Счет, на который поступает оплата за работу пользователя на проекте, и с которого производится выплата пользователю заработанных средств </span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-fix">Рекламный счет</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="adv_money" value="<?=$edit_user['adv_money']?>">
						  <span class="help-block m-b-none">Счет для оплаты услуг и рекламы, этот счет можно пополнить через внешние ЭПС, а также сделать конвертацию с рабочего счета. С этого счета нельзя заказать выплату, накопления с этого счета можно потратить только на рекламу или услуги проекта. </span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">Кешбэк счет</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="savingscards" value="<?=$edit_user['savingscards']?>">
						  <span class="help-block m-b-none">Бонусный накопительный счет, накопления происходят от любых пополнений через ЭПС в размере +1%. Накопления с этого счета можно потратить на рекламу или оплату услуг проекта.</span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">Рейтинг</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="reyting" value="<?=$edit_user['reyting']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <br/>
					  <div class="adv-price-title-form"><i class="fa fa-bullhorn"></i> <b>Кошельки ЭПС</b></div>
					  <div class="hr-dashed-title"></div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">WMID</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="wmid" value="<?=$edit_user['wmid']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-one">WM<?=$config['valuta']?> кошелек</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="purse" value="<?=$edit_user['purse']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-fix">Payeer кошелек</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="payeer" value="<?=$edit_user['payeer']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="hr-dashed"></div>
					  <div class="form-group ">
						<label class="col-sm-2 control-label label-size-fix">Advcash кошелек</label>
						<div class="col-sm-10 input-size-one">
						  <input type="text" class="form-control" id="advcash" value="<?=$edit_user['advcash']?>">
						  <span class="help-block m-b-none"></span> 
						</div>
					  </div>
					  
					  <div class="form-group error-form-fix" id="block_title_error_2">
					    <div class="hr-dashed"></div>
						<div class="alert alert-dismissible alert-info" id="success_ajax_2">
						  Изменения успешно сохранены!
						</div>
						<div class="alert alert-dismissible alert-danger" id="error_ajax_2">
						  Внимание ошибка!
						</div>
					  </div>
					
					  <div class="hr-dashed"></div>
					  <div class="form-group class-float-right">
						<div class="col-sm-8 col-sm-offset-2">
						  <button class="btn btn-primary" type="submit" onclick="config_2();return false;">Сохранить изменения</button>
						</div>
					  </div>
					  
					</form>
				  </div>
				</div>
			  </div>
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>